#ifndef __SERVICE_ODO_USER_H__
#define __SERVICE_ODO_USER_H__

#include "common.h"

//#define  ONLY_CLEAR_ODO_MIL    0x01u        /*仅根据距离信息进行ODO清除*/
//#define  ONLY_CLEAR_ODO_NUM    0x01u        /*仅根据次数信息进行ODO清除*/
#define CLEAR_ODO_NUM_MIL 0x01u /*以距离信息以及次数信息进行ODO清除*/

#define ODO_CLEAR_NUM 5u     /*清除次数上限值 */
#define ODO_CLEAR_MIL 50000u /*清除距离上限值 单位0.1KM*/

extern uint8_t ODO_Clear_Num_Value;

void Data_User_Mileage_KL30Init(void);
void Data_User_Mileage_WakeupInit(void);
void Services_Mileage_Callback(void);


uint32_t Get_MileageInit_Status(void);


#endif
